Skip to main content
GET
List scheduled notifications

Authorizations

Authorization
string
header
required

Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.

Path Parameters

deploymentId
integer
required

Numeric id of the deployment that owns the notification.

Query Parameters

dashboardId
integer | null

Optional filter: only return notifications for this numeric dashboard id. Provide this OR dashboardPublicId, not both.

Required range: x >= 1
dashboardPublicId
string | null

Optional filter: only return notifications for this dashboard public id. Provide this OR dashboardId, not both.

recipientUserId
integer | null

Optional filter: only return notifications received by this user, by user id. Mutually exclusive with recipientEmail and the embed-user filter.

Required range: x >= 1
recipientEmail
string | null

Optional filter: only return notifications received by this user, by email. Mutually exclusive with recipientUserId and the embed-user filter.

recipientEmbedTenantName
string | null

Optional filter: only return notifications received by this embed user. Required together with recipientExternalId; mutually exclusive with the user filters.

recipientExternalId
string | null

Optional filter: only return notifications received by this embed user. Required together with recipientEmbedTenantName; mutually exclusive with the user filters.

after
string
first
integer
Required range: x >= 1

Response

200 - application/json
items
object[]
required
pageInfo
object | null